# tar_type.h File Reference

Structs, typedefs and macros used for TAR file handling. More...

`#include <map>`
`#include <string>`

Go to the source code of this file.

## Data Structures
struct | TarListEntry
| The define of a TarList. More...
struct | TarFileListEntry
## Defines
#define | FOR_ALL_TARS(tar) for (tar = _tar_filelist.begin(); tar != _tar_filelist.end(); tar++)
## Typedefs
typedef std::map< std::string, TarListEntry > | TarList
typedef std::map< std::string, TarFileListEntry > | TarFileList
typedef bool | FioTarFileListCallback (const char *filename, int size, void *userdata)
## Functions
FILE * | FioTarFileList (const char *tar, const char *mode, size_t *filesize, FioTarFileListCallback *callback, void *userdata)
## Variables
TarList | _tar_list
TarFileList | _tar_filelist

## Detailed Description

Structs, typedefs and macros used for TAR file handling.

Definition in file tar_type.h.